It's all about the answers!

Ask a question

RTC 4.0.5 An internal error occurred during: "Accepting content changes". in RTC


Arun K Sriramaiah (3.2k12571) | asked Mar 14 '14, 10:57 a.m.
 Hi,

Trying to Auto resolve the patch from RTC 4.0.5 with RSA 9.0.0.1 ( 4.2 eclipse client)

!ENTRY org.eclipse.core.jobs 4 2 2014-03-14 13:17:28.511
!MESSAGE An internal error occurred during: "Accepting content changes".
!STACK 0
java.lang.NullPointerException
    at com.ibm.xtools.comparemerge.emf.controller.EmfMergeManager.isClosureMode(EmfMergeManager.java:2799)
    at com.ibm.xtools.modeler.compare.internal.controller.ModelerMergeManager.getContentTypeID(ModelerMergeManager.java:1896)
    at com.ibm.xtools.comparemerge.core.controller.AbstractMergeManager.merge(AbstractMergeManager.java:694)
    at com.ibm.team.filesystem.rcp.core.internal.operations.merge.FileContentMerger.performMerge(FileContentMerger.java:271)
    at com.ibm.team.filesystem.rcp.core.internal.patches.AbstractStateChangeOp.doMergeContent(AbstractStateChangeOp.java:337)
    at com.ibm.team.filesystem.rcp.core.internal.patches.AbstractStateChangeOp.autoResolve(AbstractStateChangeOp.java:279)
    at com.ibm.team.filesystem.rcp.core.internal.patches.TargettedPatchOp.applyPatchOps(TargettedPatchOp.java:93)
    at com.ibm.team.filesystem.rcp.core.internal.patches.ParsedPatch.apply(ParsedPatch.java:458)
    at com.ibm.team.filesystem.rcp.core.internal.operations.AcceptHunksOperation.acceptHunks(AcceptHunksOperation.java:42)
    at com.ibm.team.internal.filesystem.ui.patches.actions.AcceptHunkAction$1.repositoryRun(AcceptHunkAction.java:55)
    at com.ibm.team.repository.rcp.ui.operations.RepositoryOperation.run(RepositoryOperation.java:43)
    at com.ibm.team.repository.rcp.ui.operations.JobRunner.run(JobRunner.java:240)
    at com.ibm.team.repository.rcp.ui.operations.JobRunner$1.run(JobRunner.java:63)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:53)

One answer



permanent link
Krzysztof Ka┼║mierczyk (7.4k35699) | answered Mar 17 '14, 8:16 a.m.
Hi Arun,
As the error goes from com.ibm.xtools package, I would suggest you containing RSA support for that.

Your answer


Register or to post your answer.